module Miniform
  module FormHelper
    def miniform_for(*args, &block)
      options = args.extract_options!
      configure_options_with_builder(options)
      form_for *args, options, &block
    end

    def miniform_fields_for(*args, &block)
      options = args.extract_options!
      configure_options_with_builder(options)
      fields_for *args, options, &block
    end

    private

      def configure_options_with_builder(options)
        if options.delete(:vertical)
          options[:builder] ||= Miniform::VerticalFormBuilder
        else
          options[:builder] ||= Miniform::HorizontalFormBuilder
          options[:html] ||= {}
          options[:html][:class] = Array(options[:html][:class])
          options[:html][:class] << "form-horizontal"
        end
      end
  end
end

ActionView::Base.send :include, Miniform::FormHelper
